Ask Your Question
3

install ROS on ubuntu 16.04 with python3

asked 2016-07-29 17:30:37 -0500

Pieter gravatar image

How can I install ROS (kinetic) with python3 support in ubuntu 16.04?

I am following the instructions at http://wiki.ros.org/kinetic/Installat... , but replacing python-* with python3-*. There is an issue with installing python3-rosinstaller-generator. The following error is generated:

The following packages have unmet dependencies: python3-rosinstall-generator : Depends: python3-distribute but it is not installable Depends: python3-argparse but it is not installable E: Unable to correct problems, you have held broken packages.

Where can I find python3-argparse? As far as I know argparse is part of python3 by default.

edit retag flag offensive close merge delete

Comments

Same issue here.Did you manage to find a solution

zishan gravatar image zishan  ( 2017-12-20 03:38:59 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
1

answered 2018-02-13 14:22:27 -0500

tfoote gravatar image

python3-rosinstall-generator doesn't have a dependency declared on pyhon3-argparse: https://github.com/ros-infrastructure... I also verified it's not in the dependencies in the repository either: http://packages.ros.org/ros/ubuntu/di...

Presumably this was resolved since you tried using it. However I don't ever see the dependency there since you asked the question.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2016-07-29 17:30:37 -0500

Seen: 1,628 times

Last updated: Feb 13 '18